- Qt 5.15
- Qt Core
- C++ Classes
- QAtomicInt
- Qt 5.15.19 Reference Documentation

# QAtomicInt Class

The QAtomicInt class provides platform-independent atomic operations on int. More...

Header: | #include <QAtomicInt>
qmake: | QT += core
Since: | Qt 4.4
Inherits: | QAtomicInteger

This class was introduced in Qt 4.4.

- List of all members, including inherited members

## Public Functions

| QAtomicInt(int value = 0)

## Detailed Description

This class is a equivalent to `QAtomicInteger<int>`. All other functionality is equivalent. Please see that class for more information.

See also QAtomicInteger and QAtomicPointer.

## Member Function Documentation

### QAtomicInt::QAtomicInt(int value = 0)

Constructs a QAtomicInt with the given value.